# Interface ICefv8Handler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefv8Handler = interface(ICefBaseRefCounted)`

## Description

Interface that should be implemented to handle V8 function calls. The functions of this interface will be called on the thread associated with the V8 function.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_handler_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefv8Handler

## Overview

### Methods

| `function Execute(const name: ustring; const object_: ICefv8Value; const arguments: TCefv8ValueArray; var retval: ICefv8Value; var exception: ustring): Boolean;`

## Description

### Methods

| `function Execute(const name: ustring; const object_: ICefv8Value; const arguments: TCefv8ValueArray; var retval: ICefv8Value; var exception: ustring): Boolean;`
Handle execution of the function identified by |name|. |object| is the receiver ('this' object) of the function. |arguments| is the list of arguments passed to the function. If execution succeeds set |retval| to the function return value. If execution fails set |exception| to the exception that will be thrown. Return true (1) if execution was handled. ###### Attributes GUID['{F94CDC60-FDCB-422D-96D5-D2A775BD5D73}']

Generated by PasDoc 0.16.0-snapshot.